Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Interface Slotted

All Known Implementing Classes:
  ClasspathPyImporterDerived, PyArrayDerived, PyBaseExceptionDerived, PyBooleanDerived, PyClassMethodDerived, PyComplexDerived, PyDictionaryDerived, PyEnumerateDerived, PyFileDerived, PyFloatDerived, PyFrozenSetDerived, PyIntegerDerived, PyListDerived, PyLongDerived, PyModuleDerived, PyObjectDerived, PyPropertyDerived, PySetDerived, PySliceDerived, PyStringDerived, PySuperDerived, PyTupleDerived, PyTypeDerived, PyUnicodeDerived

    public interface Slotted

Method Summary
`PyObject` | `getSlot(int index)`
`void` | `setSlot(int index, PyObject value)`

Method Detail

### getSlot

    PyObject getSlot(int index)

### setSlot

    void setSlot(int index,
                 PyObject value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage